diff --git a/base/common/src/com/netscape/cms/servlet/cert/GetCAChain.java b/base/common/src/com/netscape/cms/servlet/cert/GetCAChain.java
index 6fd8be8eae6c0d4d97ddecf8c2a329a593ff7ba6..9ffb5467131c2648850b9c6f9db0ad06832eaa22 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/GetCAChain.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/GetCAChain.java
@@ -39,6 +39,7 @@ import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.ICertPrettyPrint;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.base.CMSServlet;
 import com.netscape.cms.servlet.base.UserInfo;
@@ -73,7 +74,7 @@ public class GetCAChain extends CMSServlet {
         super.init(sc);
 
         // override success to display own output.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         // coming from ee
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
     }
@@ -107,7 +108,7 @@ public class GetCAChain extends CMSServlet {
                     CMS.getUserMessage("CMS_GW_NO_OPTIONS_SELECTED"));
         }
 
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
 
         AuthzToken authzToken = null;
 
@@ -124,7 +125,7 @@ public class GetCAChain extends CMSServlet {
             }
 
             if (authzToken == null) {
-                cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
                 return;
             }
 
@@ -142,7 +143,7 @@ public class GetCAChain extends CMSServlet {
             }
 
             if (authzToken == null) {
-                cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
                 return;
             }
 
@@ -183,7 +184,7 @@ public class GetCAChain extends CMSServlet {
             try {
                 bytes = caCerts[0].getEncoded();
             } catch (CertificateEncodingException e) {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_ERROR_GETTING_CACERT_ENCODED", e.toString()));
                 throw new ECMSGWException(
                         CMS.getUserMessage("CMS_GW_GETTING_CA_CERT_ERROR"));
@@ -204,7 +205,7 @@ public class GetCAChain extends CMSServlet {
                 certChain.encode(encoded, false);
                 bytes = encoded.toByteArray();
             } catch (IOException e) {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_ERROR_ENCODING_CA_CHAIN_1", e.toString()));
                 throw new ECMSGWException(
                         CMS.getUserMessage("CMS_GW_ENCODING_CA_CHAIN_ERROR"));
@@ -240,7 +241,7 @@ public class GetCAChain extends CMSServlet {
             httpResp.setContentLength(bytes.length);
             httpResp.getOutputStream().flush();
         } catch (IOException e) {
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_ERROR_DISPLAYING_CACHAIN_1", e.toString()));
             throw new ECMSGWException(
@@ -259,7 +260,7 @@ public class GetCAChain extends CMSServlet {
                 ((ICertAuthority) mAuthority).getCACertChain();
 
         if (certChain == null) {
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_CA_CHAIN_NOT_AVAILABLE"));
             throw new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_CA_CHAIN_NOT_AVAILABLE"));
@@ -277,7 +278,7 @@ public class GetCAChain extends CMSServlet {
                     CMS.getLogMessage("CMSGW_ERR_GET_TEMPLATE", e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -366,13 +367,13 @@ public class GetCAChain extends CMSServlet {
 
             httpResp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_ERR_BAD_SERV_OUT_STREAM", "", e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
         }
 
     }
diff --git a/base/common/src/com/netscape/cms/servlet/cert/GetCRL.java b/base/common/src/com/netscape/cms/servlet/cert/GetCRL.java
index 346dd2d34b1b336f4c158399e72853a7def3fe19..3ea2297dbe6237b6307336c76f591ca05be4111e 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/GetCRL.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/GetCRL.java
@@ -39,6 +39,7 @@ import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.ICRLPrettyPrint;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.crldb.ICRLIssuingPointRecord;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.base.CMSServlet;
@@ -73,7 +74,7 @@ public class GetCRL extends CMSServlet {
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
@@ -106,7 +107,7 @@ public class GetCRL extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -117,7 +118,7 @@ public class GetCRL extends CMSServlet {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_CA_FROM_RA_NOT_IMP"));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_NOT_YET_IMPLEMENTED")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -132,7 +133,7 @@ public class GetCRL extends CMSServlet {
                     CMS.getLogMessage("CMSGW_ERR_GET_TEMPLATE", mFormPath, e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -150,14 +151,14 @@ public class GetCRL extends CMSServlet {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_NO_OPTIONS_SELECTED"));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_NO_OPTIONS_SELECTED")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
         if (crlId == null) {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_NO_CRL_ISSUING_POINT"));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_NO_CRL_SELECTED")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -174,7 +175,7 @@ public class GetCRL extends CMSServlet {
                     CMS.getLogMessage("CMSGW_NO_CRL_ISSUING_POINT_FOUND", crlId));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_CRL_NOT_FOUND")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
         if (crlRecord == null) {
@@ -182,7 +183,7 @@ public class GetCRL extends CMSServlet {
                     CMS.getLogMessage("CMSGW_CRL_NOT_YET_UPDATED_1", crlId));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_CRL_NOT_UPDATED")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -207,7 +208,7 @@ public class GetCRL extends CMSServlet {
                     CMS.getUserMessage(
                             ((crlIP != null && crlIP.isCRLCacheEnabled() && crlIP.isCRLCacheEmpty()) ?
                                     "CMS_GW_CRL_CACHE_IS_EMPTY" : "CMS_GW_CRL_CACHE_IS_NOT_ENABLED"), crlId));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -234,7 +235,7 @@ public class GetCRL extends CMSServlet {
                     CMS.getLogMessage("CMSGW_CRL_NOT_YET_UPDATED_1", crlId));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_CRL_NOT_UPDATED")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
         byte[] bytes = crlbytes;
@@ -259,7 +260,7 @@ public class GetCRL extends CMSServlet {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_FAILED_DECODE_CRL_1", e.toString()));
                 cmsReq.setError(new ECMSGWException(
                         CMS.getUserMessage("CMS_GW_DECODE_CRL_FAILED")));
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 return;
             }
             if ((op.equals("importDeltaCRL") || (op.equals("displayCRL") &&
@@ -273,7 +274,7 @@ public class GetCRL extends CMSServlet {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_ERR_NO_DELTA_CRL_1"));
                 cmsReq.setError(new ECMSGWException(
                         CMS.getUserMessage("CMS_GW_CRL_NOT_UPDATED")));
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 return;
             }
         }
@@ -423,13 +424,13 @@ public class GetCRL extends CMSServlet {
 
                 httpResp.setContentType("text/html");
                 form.renderOutput(out, argSet);
-                cmsReq.setStatus(CMSRequest.SUCCESS);
+                cmsReq.setStatus(ICMSRequest.SUCCESS);
             } catch (IOException e) {
                 log(ILogger.LL_FAILURE,
                         CMS.getLogMessage("CMSGW_ERR_OUT_STREAM_TEMPLATE", e.toString()));
                 cmsReq.setError(new ECMSGWException(
                         CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
             }
             return;
         } else if (op.equals("importCRL") || op.equals("importDeltaCRL")) {
@@ -465,7 +466,7 @@ public class GetCRL extends CMSServlet {
                     CMS.getUserMessage("CMS_GW_DISPLAYING_CRLINFO_ERROR"));
         }
         //		cmsReq.setResult(null);
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         return;
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/cert/GetCertFromRequest.java b/base/common/src/com/netscape/cms/servlet/cert/GetCertFromRequest.java
index c0c575ad34818db2277955ec14292010c1e2736d..af8b3cc024f68175a984a1655690c1ea3a9375fe 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/GetCertFromRequest.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/GetCertFromRequest.java
@@ -39,6 +39,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.profile.IEnrollProfile;
 import com.netscape.certsrv.ra.IRegistrationAuthority;
@@ -87,7 +88,7 @@ public class GetCertFromRequest extends CMSServlet {
      */
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         mQueue = mAuthority.getRequestQueue();
         try {
             String tmp = sc.getInitParameter(
@@ -158,7 +159,7 @@ public class GetCertFromRequest extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -258,7 +259,7 @@ public class GetCertFromRequest extends CMSServlet {
             // for importsCert to get the crmf_reqid.
             cmsReq.setIRequest(r);
 
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
 
             if (mImportCert &&
                     checkImportCertToNav(cmsReq.getHttpResp(), httpParams, certs[0])) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/GetEnableStatus.java b/base/common/src/com/netscape/cms/servlet/cert/GetEnableStatus.java
index 99bdf2486a29a994b89475eecb38c86540850a29..0c650cf69e6e8f351ec23b81b3aa60400d804d6e 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/GetEnableStatus.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/GetEnableStatus.java
@@ -35,6 +35,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.ra.IRegistrationAuthority;
 import com.netscape.cms.authentication.HashAuthentication;
@@ -71,7 +72,7 @@ public class GetEnableStatus extends CMSServlet {
         // coming from agent
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     protected CMSRequest newCMSRequest() {
@@ -102,7 +103,7 @@ public class GetEnableStatus extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -112,7 +113,7 @@ public class GetEnableStatus extends CMSServlet {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_CA_FROM_RA_NOT_IMP"));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_NOT_YET_IMPLEMENTED")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -127,7 +128,7 @@ public class GetEnableStatus extends CMSServlet {
                             mFormPath, e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -158,15 +159,15 @@ public class GetEnableStatus extends CMSServlet {
 
             httpResp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_ERR_STREAM_TEMPLATE", e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         return;
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java b/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
index bc9f099762ec6a5470d2c02f5bc0adb03c2e3c5f..e82b2046f4b9e8d75e6dd5dbc011f9671626e01b 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
@@ -39,6 +39,7 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.crldb.ICRLIssuingPointRecord;
 import com.netscape.certsrv.dbs.crldb.ICRLRepository;
 import com.netscape.certsrv.logging.ILogger;
@@ -81,7 +82,7 @@ public class GetInfo extends CMSServlet {
             mCA = (ICertificateAuthority) mAuthority;
 
         // override success to do output our own template.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
@@ -111,7 +112,7 @@ public class GetInfo extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -170,10 +171,10 @@ public class GetInfo extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java b/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
index 66d3b49795874b1484a64f58778d8ac7a70c9cdd..a6e9d832e842858b361df20e2e241bcf2923a8af 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
@@ -68,6 +68,7 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertRecordList;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
@@ -135,7 +136,7 @@ public class HashEnrollServlet extends CMSServlet {
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
         // override success template to allow direct import of keygen certs.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         try {
             mEnrollSuccessTemplate = sc.getInitParameter(
                     CMSServlet.PROP_SUCCESS_TEMPLATE);
@@ -179,7 +180,7 @@ public class HashEnrollServlet extends CMSServlet {
 
         if (host == null || !host.equals(reqHost)) {
             printError(cmsReq, "0");
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
             return;
         }
 
@@ -200,7 +201,7 @@ public class HashEnrollServlet extends CMSServlet {
 
         if (!enable) {
             printError(cmsReq, "0");
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
             return;
         }
         if (lastlogin == 0)
@@ -208,7 +209,7 @@ public class HashEnrollServlet extends CMSServlet {
         else if (diff > timeout) {
             mgr.disable(reqHost);
             printError(cmsReq, "2");
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
             return;
         }
 
@@ -234,7 +235,7 @@ public class HashEnrollServlet extends CMSServlet {
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         header.addStringValue("authority", "Registration Manager");
         header.addStringValue("errorCode", errorCode);
         String formPath = TPL_ERROR_FILE;
@@ -249,7 +250,7 @@ public class HashEnrollServlet extends CMSServlet {
                     CMS.getLogMessage("CMSGW_ERR_GET_TEMPLATE", formPath, e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
         try {
@@ -257,14 +258,14 @@ public class HashEnrollServlet extends CMSServlet {
 
             httpResp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_ERR_BAD_SERV_OUT_STREAM",
                             e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
         }
     }
 
@@ -339,7 +340,7 @@ public class HashEnrollServlet extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -393,7 +394,7 @@ public class HashEnrollServlet extends CMSServlet {
 
         if (authToken == null) {
             printError(cmsReq, "3");
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
             return;
         } else {
             authMgr =
@@ -609,9 +610,9 @@ public class HashEnrollServlet extends CMSServlet {
         if (httpParams.getValueAsString(OLD_CERT_TYPE, null) != null) {
             try {
                 renderServerEnrollResult(cmsReq);
-                cmsReq.setStatus(CMSRequest.SUCCESS); // no default render
+                cmsReq.setStatus(ICMSRequest.SUCCESS); // no default render
             } catch (IOException ex) {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
             }
             return;
         }
@@ -700,7 +701,7 @@ public class HashEnrollServlet extends CMSServlet {
 
         if (result.equals(IRequest.RES_ERROR)) {
 
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             cmsReq.setError(req.getExtDataInString(IRequest.ERROR));
             String[] svcErrors =
                     req.getExtDataInStringArray(IRequest.SVCERRORS);
@@ -744,7 +745,7 @@ public class HashEnrollServlet extends CMSServlet {
         }
 
         // service success
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         X509CertImpl[] issuedCerts =
                 req.getExtDataInCertArray(IRequest.ISSUED_CERTS);
 
@@ -765,7 +766,7 @@ public class HashEnrollServlet extends CMSServlet {
         // return cert as mime type binary if requested.
         if (checkImportCertToNav(
                 cmsReq.getHttpResp(), httpParams, issuedCerts[0])) {
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
             return;
         }
 
@@ -774,7 +775,7 @@ public class HashEnrollServlet extends CMSServlet {
             cmsReq.setResult(issuedCerts);
             renderTemplate(cmsReq, mEnrollSuccessTemplate,
                     mEnrollSuccessFiller);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_TEMP_REND_ERR", mEnrollSuccessFiller.toString(), e.toString()));
diff --git a/base/common/src/com/netscape/cms/servlet/cert/ListCerts.java b/base/common/src/com/netscape/cms/servlet/cert/ListCerts.java
index 96b2a9026a8fbfc78faefe2e540275ff836ec61c..185e1fa8e7d24afdde7c4735722609921c6800ea 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/ListCerts.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/ListCerts.java
@@ -45,6 +45,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertRecordList;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
@@ -99,7 +100,7 @@ public class ListCerts extends CMSServlet {
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
         // override success to render own template.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
 
         if (mAuthority instanceof ICertificateAuthority) {
             ICertificateAuthority ca = (ICertificateAuthority) mAuthority;
@@ -214,7 +215,7 @@ public class ListCerts extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -297,7 +298,7 @@ public class ListCerts extends CMSServlet {
             String queryCertFilter = buildFilter(req);
 
             if (queryCertFilter == null) {
-                cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
                 return;
             }
 
@@ -335,12 +336,12 @@ public class ListCerts extends CMSServlet {
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                     outputXML(resp, argSet);
                 } else {
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/Monitor.java b/base/common/src/com/netscape/cms/servlet/cert/Monitor.java
index 814bd420935749d58fd9be9443814d6c06b30e0d..305620580146ccd7b749a3cd7ef6a44e40adc9c5 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/Monitor.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/Monitor.java
@@ -38,6 +38,7 @@ import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
 import com.netscape.certsrv.logging.ILogger;
@@ -88,7 +89,7 @@ public class Monitor extends CMSServlet {
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
         // override success to render own template.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
 
         if (mAuthority instanceof ICertificateAuthority) {
             ICertificateAuthority ca = (ICertificateAuthority) mAuthority;
@@ -134,7 +135,7 @@ public class Monitor extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -183,10 +184,10 @@ public class Monitor extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/ReasonToRevoke.java b/base/common/src/com/netscape/cms/servlet/cert/ReasonToRevoke.java
index 75e732676c5d0a8d2e1ffe02751cd082e35f1190..c65c482b14a8670c2f87274d4194c9a40b883c68 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/ReasonToRevoke.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/ReasonToRevoke.java
@@ -41,6 +41,7 @@ import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
 import com.netscape.certsrv.logging.ILogger;
@@ -92,7 +93,7 @@ public class ReasonToRevoke extends CMSServlet {
             mRandom = new Random();
         }
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
 
@@ -136,7 +137,7 @@ public class ReasonToRevoke extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -199,10 +200,10 @@ public class ReasonToRevoke extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
